"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleSteamId = void 0;
/**
 * A20 introduces more platforms, which means player IDs can be a bit wonky.
 */
function handleSteamId(data) {
    if (Array.isArray(data)) {
        return data.map(handleSteamId);
    }
    if (data.players && Array.isArray(data.players)) {
        return __assign(__assign({}, data), { players: data.players.map(handleSteamId) });
    }
    var newData = __assign({}, data);
    if (data.userid && data.userid.includes('Steam_')) {
        newData.steamid = data.userid.replace('Steam_', '');
        newData.userid = data.userid;
    }
    if (data.steamid && data.steamid.includes('Steam_')) {
        newData.steamid = newData.steamid.replace('Steam_', '');
        newData.userid = newData.steamid;
    }
    return newData;
}
exports.handleSteamId = handleSteamId;
//# sourceMappingURL=handleSteamId.js.map