import { RequestInit } from 'node-fetch';
import * as responses from './responses';
export interface SdtdServer {
    ip: string;
    port: string;
    forceHttps?: boolean;
    adminUser: string;
    adminToken: string;
}
export declare function getBaseUrl(server: SdtdServer): string;
export declare function getStats(server: SdtdServer, fetchOpts?: RequestInit): Promise<responses.StatsResponse>;
export declare function getOnlinePlayers(server: SdtdServer, fetchOpts?: RequestInit): Promise<Array<responses.OnlinePlayerResponse>>;
export declare function getAllowedCommands(server: SdtdServer, fetchOpts?: RequestInit): Promise<responses.AllowedCommands>;
export declare function executeConsoleCommand(server: SdtdServer, command: string, fetchOpts?: RequestInit): Promise<responses.CommandResponse>;
export declare function getAnimalsLocation(server: SdtdServer, fetchOpts?: RequestInit): Promise<Array<responses.EntityLocation>>;
export declare function getHostileLocation(server: SdtdServer, fetchOpts?: RequestInit): Promise<Array<responses.EntityLocation>>;
export declare function getLandClaims(server: SdtdServer, steamId?: string, fetchOpts?: RequestInit): Promise<responses.LandClaimsResponse>;
export declare function getPlayerInventory(server: SdtdServer, steamId: string, fetchOpts?: RequestInit): Promise<responses.InventoryResponse>;
export declare function getPlayerInventories(server: SdtdServer, fetchOpts?: RequestInit): Promise<Array<responses.InventoryResponse>>;
export declare function getPlayerList(server: SdtdServer, rowsPerPage?: number, page?: number, fetchOpts?: RequestInit): Promise<responses.PlayerListResponse>;
export declare function getPlayersLocation(server: SdtdServer, offline: boolean, fetchOpts?: RequestInit): Promise<Array<responses.PlayerLocation>>;
export declare function getServerInfo(server: SdtdServer, fetchOpts?: RequestInit): Promise<responses.GetServerInfo>;
export declare function getWebUIUpdates(server: SdtdServer, latestLine?: number, fetchOpts?: RequestInit): Promise<responses.GetWebUIUpdatesResponse>;
export declare function getLog(server: SdtdServer, firstLine?: number, count?: number, fetchOpts?: RequestInit): Promise<responses.GetLog>;
